For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • POSTCreate PVC voice
        • POSTUpdate PVC voice
        • POSTTrain PVC voice
        • POSTAdd samples to PVC voice
        • POSTUpdate PVC voice sample
        • DELDelete PVC voice sample
        • GETGet PVC voice sample audio
        • GETGet PVC voice sample waveform
        • GETGet PVC speaker separation status
        • POSTStart speaker separation
        • GETGet separated speaker audio
        • POSTRequest PVC manual verification
        • GETGet PVC verification captcha
        • POSTVerify PVC verification captcha
      • GETList voices
      • GETGet voice
      • DELDelete voice
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesPVC

Add samples to PVC voice

POST
/v1/voices/pvc/:voice_id/samples
POST
/v1/voices/pvc/:voice_id/samples
$curl -X POST https://api.elevenlabs.io/v1/voices/pvc/voice_id/samples \
> -H "Content-Type: multipart/form-data" \
> -F "files[]"=@string
1[
2 {
3 "sample_id": "string",
4 "file_name": "string",
5 "mime_type": "string",
6 "size_bytes": 1,
7 "hash": "string",
8 "duration_secs": 1.1,
9 "remove_background_noise": true,
10 "has_isolated_audio": true,
11 "has_isolated_audio_preview": true,
12 "speaker_separation": {
13 "voice_id": "DCwhRBWXzGAHq8TQ4Fs18",
14 "sample_id": "DCwhRBWXzGAHq8TQ4Fs18",
15 "status": "not_started"
16 },
17 "trim_start": 1,
18 "trim_end": 1
19 }
20]
Add audio samples to a PVC voice
Was this page helpful?
Previous

Update PVC voice sample

Next
Built with

Path parameters

voice_idstringRequired
Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form with multiple files.
filesfilesRequired
Audio files used to create the voice.
remove_background_noisebooleanOptionalDefaults to false
If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse.

Response

Successful Response
sample_idstring
The ID of the sample.
file_namestring
The name of the sample file.
mime_typestring
The MIME type of the sample file.
size_bytesinteger
The size of the sample file in bytes.
hashstring
The hash of the sample file.
duration_secsdouble or null
remove_background_noiseboolean or null
has_isolated_audioboolean or null
has_isolated_audio_previewboolean or null
speaker_separationobject or null
trim_startinteger or null
trim_endinteger or null

Errors

422
Unprocessable Entity Error

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.